Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class VariableManager.FilterMatcher

    java.lang.Object
      ix.ip2.VariableManager.FilterMatcher

Enclosing class:
  VariableManager

    protected class VariableManager.FilterMatcher

extends java.lang.Object

Field Summary
`(package private) Symbol` | `FALSE`
`protected java.util.List` | `resultEnvs`
`protected java.util.Map` | `stateMap`
`(package private) Symbol` | `TRUE`

Constructor Summary
`VariableManager.FilterMatcher(java.util.Map stateMap)`

Method Summary
`protected void` | `evalComputeFilter(Constraint c, LList restConds, MatchEnv baseEnv)`
`(package private) java.util.List` | `evalFilters(ix.icore.domain.ListOfConstraint conds, MatchEnv env)`
`protected void` | `filter(Constraint c, LList restConds, MatchEnv baseEnv)`
`protected void` | `matchComputeResult(Constraint c, java.lang.Object value, LList restConds, MatchEnv baseEnv)`
`protected MatchEnv` | `matchFilter(PatternAssignment pv, java.util.Map.Entry entry, MatchEnv baseEnv)`
`(package private) ix.icore.domain.ListOfConstraint` | `testFilters(ix.icore.domain.ListOfConstraint conds, MatchEnv baseEnv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stateMap

    protected java.util.Map stateMap

### resultEnvs

    protected java.util.List resultEnvs

### TRUE

    final Symbol TRUE

### FALSE

    final Symbol FALSE

Constructor Detail

### VariableManager.FilterMatcher

    VariableManager.FilterMatcher(java.util.Map stateMap)

Method Detail

### evalFilters

    java.util.List evalFilters(ix.icore.domain.ListOfConstraint conds,
                               MatchEnv env)

### testFilters

    ix.icore.domain.ListOfConstraint testFilters(ix.icore.domain.ListOfConstraint conds,
                                                 MatchEnv baseEnv)

### filter

    protected void filter(Constraint c,
                          LList restConds,
                          MatchEnv baseEnv)

### matchFilter

    protected MatchEnv matchFilter(PatternAssignment pv,
                                   java.util.Map.Entry entry,
                                   MatchEnv baseEnv)

### evalComputeFilter

    protected void evalComputeFilter(Constraint c,
                                     LList restConds,
                                     MatchEnv baseEnv)

### matchComputeResult

    protected void matchComputeResult(Constraint c,
                                      java.lang.Object value,
                                      LList restConds,
                                      MatchEnv baseEnv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD